Gtk2::SelectionData(3p)

NAME
Gtk2::SelectionData

HIERARCHY
  Glib::Boxed
  +----Gtk2::SelectionData

METHODS

    * $type (Gtk2::Gdk::Atom)
    * $format (integer)
    * $data (Glib::UChar)
    Since: gtk+ 2.6

    * $pixbuf (Gtk2::Gdk::Pixbuf)

    Since: gtk+ 2.6

    * $tree_model (Gtk2::TreeModel)
    * $path (Gtk2::TreePath)
    Gets the contents of selection_data as an array of targets. This can be used to interpret the results of getting the standard TARGETS target that is always supplied for any selection.

    Returns a list of GdkAtoms, the targets.

    * $writable (boolean)

    Since: gtk+ 2.6

    * $buffer (Gtk2::TextBuffer)

    Since: gtk+ 2.10
    Since: gtk+ 2.10

    * $str (string)
    * $len (integer)
    Since: gtk+ 2.6

    * ... (list) of strings

    Since: gtk+ 2.6

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.